> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Repos

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /repos/{owner}/{repo}/interaction-limits`](https://docs.github.com/enterprise-cloud@latest/rest/interactions/repos#get-interaction-restrictions-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get interaction restrictions for a repository
* [`PUT /repos/{owner}/{repo}/interaction-limits`](https://docs.github.com/enterprise-cloud@latest/rest/interactions/repos#set-interaction-restrictions-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Set interaction restrictions for a repository
* [`DELETE /repos/{owner}/{repo}/interaction-limits`](https://docs.github.com/enterprise-cloud@latest/rest/interactions/repos#remove-interaction-restrictions-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Remove interaction restrictions for a repository
* [`GET /repos/{owner}/{repo}/interaction-limits/pulls/bypass-list`](https://docs.github.com/enterprise-cloud@latest/rest/interactions/repos#get-pull-request-creation-cap-bypass-list-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get pull request creation cap bypass list for a repository
* [`PUT /repos/{owner}/{repo}/interaction-limits/pulls/bypass-list`](https://docs.github.com/enterprise-cloud@latest/rest/interactions/repos#add-users-to-the-pull-request-creation-cap-bypass-list-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Add users to the pull request creation cap bypass list for a repository
* [`DELETE /repos/{owner}/{repo}/interaction-limits/pulls/bypass-list`](https://docs.github.com/enterprise-cloud@latest/rest/interactions/repos#remove-users-from-the-pull-request-creation-cap-bypass-list-for-a-repository) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Remove users from the pull request creation cap bypass list for a repository
